Bug 1429426 - [RFE] set release version of a content host via bulk action
Summary: [RFE] set release version of a content host via bulk action
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hosts - Content
Version: 6.2.6
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: Unspecified
Assignee: Partha Aji
QA Contact: Sachin Ghai
URL:
Whiteboard:
Depends On:
Blocks: 1479962
TreeView+ depends on / blocked
 
Reported: 2017-03-06 11:14 UTC by Stefan Meyer
Modified: 2021-03-11 15:01 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
- RHEL 7.3 - Satellite 6.2.6
Last Closed: 2018-02-21 12:38:27 UTC
Target Upstream Version:


Attachments (Terms of Use)
error in dev-tools console on selecting "set release version" from bulk actions (194.78 KB, image/png)
2017-12-05 11:36 UTC, Sachin Ghai
no flags Details
set release version through bulk actions on content hosts works (37.82 KB, image/png)
2017-12-21 10:47 UTC, Sachin Ghai
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 20583 0 'Normal' 'Closed' 'set release version of a content host via bulk action' 2019-11-13 14:38:20 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Description Stefan Meyer 2017-03-06 11:14:59 UTC
1. Proposed title of this feature request  
[RFE] set release version of a content host via bulk action


2. In non-public update...

  
3. What is the nature and description of the request?  
When doing a bulk action on content hosts, the "Content Host Content" tab allows you to set the Lifecycle Environment and Content View, but not the Release Version. This is possible when changing the host one-by-one.
  

4. Why does the customer need this? (List the business requirements here)  
Moving hundreds of servers from one Release to another without changing it one-by-one.
  

5. How would the customer like to achieve this? (List the functional requirements here)  
Add "release version" field to the bulk action dialog for content.
  

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  
Have a content host in Satellite, select it, click bulk action, click content, set the release version.
  

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
Not that I would be aware of
  

8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?
No, but 6.2.z would be nice.


9. Is the sales team involved in this request and do they have any additional input?
No


10. List any affected packages or components.
katello


11. Would the customer be able to assist in testing this functionality if implemented?
Yes

Comment 4 Brad Buckingham 2017-08-14 12:34:10 UTC
Created redmine issue http://projects.theforeman.org/issues/20583 from this bug

Comment 5 pm-sat@redhat.com 2017-08-17 18:17:46 UTC
Upstream bug assigned to paji@redhat.com

Comment 6 pm-sat@redhat.com 2017-09-20 16:17:58 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20583 has been resolved.

Comment 7 Sachin Ghai 2017-12-05 11:34:47 UTC
Tested with sat6.3 GA snap27

Nothing happens on UI on selecting the "Set Release version" from bulk actions, and see following error in "developer tools"

---
bastion-fdb3a220e59a…935485bc360516.js:2 Error: [$injector:unpr] Unknown provider: NotificationProvider <- Notification <- ContentHostsBulkReleaseVersionModalController
http://errors.angularjs.org/1.5.5/$injector/unpr?p0=NotificationProvider%20%3C-%20Notification%20%3C-%20ContentHostsBulkReleaseVersionModalController
    at bastion-fdb3a220e59a…935485bc360516.js:1
    at bastion-fdb3a220e59a…935485bc360516.js:1
    at Object.r [as get] (bastion-fdb3a220e59a…935485bc360516.js:1)
    at bastion-fdb3a220e59a…935485bc360516.js:1
    at r (bastion-fdb3a220e59a…935485bc360516.js:1)
    at a (bastion-fdb3a220e59a…935485bc360516.js:1)
    at Object.o [as invoke] (bastion-fdb3a220e59a…935485bc360516.js:1)
    at c.instance (bastion-fdb3a220e59a…935485bc360516.js:2)
    at bastion-fdb3a220e59a…35485bc360516.js:72
    at o (bastion-fdb3a220e59a…935485bc360516.js:3)
--

Comment 8 Sachin Ghai 2017-12-05 11:36:12 UTC
Created attachment 1363170 [details]
error in dev-tools console on selecting "set release version" from bulk actions

Comment 10 Sachin Ghai 2017-12-21 10:46:22 UTC
Verified with satellite 6.3 snap29.

I can set release version on multiple content hosts through bulk action and task was completed successfully. Please see the attached screenshot.

Comment 11 Sachin Ghai 2017-12-21 10:47:10 UTC
Created attachment 1370805 [details]
set release version through bulk actions on content hosts works

Comment 14 errata-xmlrpc 2018-02-21 12:38:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.